## org.apache.aries.subsystem.core.archive
Class SubsystemManifest

    java.lang.Object
      org.apache.aries.subsystem.core.archive.SubsystemManifest

    public class SubsystemManifest

extends Object

Nested Class Summary
`static class` `SubsystemManifest.Builder`

Field Summary
`static String` `EXPORT_PACKAGE`
`static String` `IMPORT_PACKAGE`
`static String` `PREFERRED_PROVIDER`
`static String` `PROVIDE_CAPABILITY`
`static String` `REQUIRE_BUNDLE`
`static String` `REQUIRE_CAPABILITY`
`static String` `SUBSYSTEM_CONTENT`
`static String` `SUBSYSTEM_DESCRIPTION`
`static String` `SUBSYSTEM_EXPORTSERVICE`
`static String` `SUBSYSTEM_IMPORTSERVICE`
`static String` `SUBSYSTEM_MANIFESTVERSION`
`static String` `SUBSYSTEM_NAME`
`static String` `SUBSYSTEM_SYMBOLICNAME`
`static String` `SUBSYSTEM_TYPE`
`static String` `SUBSYSTEM_VERSION`

Constructor Summary
`SubsystemManifest(File file)`
`SubsystemManifest(InputStream in)`
`SubsystemManifest(Manifest manifest)`
`SubsystemManifest(String symbolicName, org.osgi.framework.Version version, Collection<org.osgi.resource.Resource> content)`
`SubsystemManifest(SubsystemManifest manifest, String symbolicName, org.osgi.framework.Version version, Collection<org.osgi.resource.Resource> content)`

Method Summary
`ExportPackageHeader` `getExportPackageHeader()`
`Map<String,Header<?>>` `getHeaders()`
`ImportPackageHeader` `getImportPackageHeader()`
`PreferredProviderHeader` `getPreferredProviderHeader()`
`ProvideCapabilityHeader` `getProvideCapabilityHeader()`
`RequireBundleHeader` `getRequireBundleHeader()`
`RequireCapabilityHeader` `getRequireCapabilityHeader()`
`SubsystemContentHeader` `getSubsystemContentHeader()`
`SubsystemExportServiceHeader` `getSubsystemExportServiceHeader()`
`SubsystemImportServiceHeader` `getSubsystemImportServiceHeader()`
`SubsystemSymbolicNameHeader` `getSubsystemSymbolicNameHeader()`
`SubsystemTypeHeader` `getSubsystemTypeHeader()`
`SubsystemVersionHeader` `getSubsystemVersionHeader()`
`List<org.osgi.resource.Capability>` `toCapabilities(org.osgi.resource.Resource resource)`
`List<org.osgi.resource.Requirement>` `toRequirements(org.osgi.resource.Resource resource)`
`void` `write(OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPORT_PACKAGE

    public static final String EXPORT_PACKAGE

See Also:
  Constant Field Values

### IMPORT_PACKAGE

    public static final String IMPORT_PACKAGE

See Also:
  Constant Field Values

### PREFERRED_PROVIDER

    public static final String PREFERRED_PROVIDER

See Also:
  Constant Field Values

### PROVIDE_CAPABILITY

    public static final String PROVIDE_CAPABILITY

See Also:
  Constant Field Values

### REQUIRE_BUNDLE

    public static final String REQUIRE_BUNDLE

See Also:
  Constant Field Values

### REQUIRE_CAPABILITY

    public static final String REQUIRE_CAPABILITY

See Also:
  Constant Field Values

### SUBSYSTEM_CONTENT

    public static final String SUBSYSTEM_CONTENT

See Also:
  Constant Field Values

### SUBSYSTEM_DESCRIPTION

    public static final String SUBSYSTEM_DESCRIPTION

See Also:
  Constant Field Values

### SUBSYSTEM_EXPORTSERVICE

    public static final String SUBSYSTEM_EXPORTSERVICE

See Also:
  Constant Field Values

### SUBSYSTEM_IMPORTSERVICE

    public static final String SUBSYSTEM_IMPORTSERVICE

See Also:
  Constant Field Values

### SUBSYSTEM_MANIFESTVERSION

    public static final String SUBSYSTEM_MANIFESTVERSION

See Also:
  Constant Field Values

### SUBSYSTEM_NAME

    public static final String SUBSYSTEM_NAME

See Also:
  Constant Field Values

### SUBSYSTEM_SYMBOLICNAME

    public static final String SUBSYSTEM_SYMBOLICNAME

See Also:
  Constant Field Values

### SUBSYSTEM_TYPE

    public static final String SUBSYSTEM_TYPE

See Also:
  Constant Field Values

### SUBSYSTEM_VERSION

    public static final String SUBSYSTEM_VERSION

See Also:
  Constant Field Values

Constructor Detail

### SubsystemManifest

    public SubsystemManifest(Manifest manifest)

### SubsystemManifest

    public SubsystemManifest(File file)
                      throws FileNotFoundException,
                             IOException

Throws:
  `FileNotFoundException`
  `IOException`

### SubsystemManifest

    public SubsystemManifest(InputStream in)
                      throws IOException

Throws:
  `IOException`

### SubsystemManifest

    public SubsystemManifest(String symbolicName,
                             org.osgi.framework.Version version,
                             Collection<org.osgi.resource.Resource> content)

### SubsystemManifest

    public SubsystemManifest(SubsystemManifest manifest,
                             String symbolicName,
                             org.osgi.framework.Version version,
                             Collection<org.osgi.resource.Resource> content)

Method Detail

### getHeaders

    public Map<String,Header<?>> getHeaders()

### getExportPackageHeader

    public ExportPackageHeader getExportPackageHeader()

### getImportPackageHeader

    public ImportPackageHeader getImportPackageHeader()

### getPreferredProviderHeader

    public PreferredProviderHeader getPreferredProviderHeader()

### getProvideCapabilityHeader

    public ProvideCapabilityHeader getProvideCapabilityHeader()

### getRequireBundleHeader

    public RequireBundleHeader getRequireBundleHeader()

### getRequireCapabilityHeader

    public RequireCapabilityHeader getRequireCapabilityHeader()

### getSubsystemContentHeader

    public SubsystemContentHeader getSubsystemContentHeader()

### getSubsystemExportServiceHeader

    public SubsystemExportServiceHeader getSubsystemExportServiceHeader()

### getSubsystemImportServiceHeader

    public SubsystemImportServiceHeader getSubsystemImportServiceHeader()

### getSubsystemSymbolicNameHeader

    public SubsystemSymbolicNameHeader getSubsystemSymbolicNameHeader()

### getSubsystemTypeHeader

    public SubsystemTypeHeader getSubsystemTypeHeader()

### getSubsystemVersionHeader

    public SubsystemVersionHeader getSubsystemVersionHeader()

### toCapabilities

    public List<org.osgi.resource.Capability> toCapabilities(org.osgi.resource.Resource resource)

### toRequirements

    public List<org.osgi.resource.Requirement> toRequirements(org.osgi.resource.Resource resource)

### write

    public void write(OutputStream out)
               throws IOException

  Throws:
    `IOException`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.